Subject: RE: doubts (was orginally ..Re: [Ieprep] draft-ietf-ieprep-requirements-00.txt)

From: "Alistair Munro" <[email-masked]>
Date: Mon, 1 Jul 2002 12:03:51 +0100

Hi All,

I'm perplexed about the discussion of network deployments in the context
of the Baker/beard draft. It appears to have started in a a message
(from Ran?) that noted: 

	"An underlying issue with this document is the assumption that
backbones might be under-provisioned."

I can't see anything in the text to imply this, quite the reverse in
fact. Section 1.1 could be reworded to better motivate the use of
DiffServ when congestion occurs as a service differentiator supporting a
certain QoS model. Maybe, also, the title of the draft should be changed
to:

Recommended Methods of Service Differentiation in IEPS Using DiffServ

I don't get the point of the exchanges on over/under-provisioning, QoS,
statmux, etc. I guess you can observe most of the examples mentioned
regularly or from time to time, but so what? The value of the draft is
that its recommendations will ensure that services continue to operate
when congestion *does* occur - if there is no congestion then you can't
tell that they are being used. The only major problem I have in practice
is that DSCPs are interpreted locally per hop and misconfiguration may
make a forwarding element's anti-congestion measures kick in. But this
is not something you can assess by measuring backbone/access network
loading, and the weakness is mentioned in section 1. and section 3.

I would agree that a poorly planned, and/or badly deployed and/or
overloaded network does require attention, (probably more money), but
this is an operational issue that no number of I-Ds, RFCs, BCPs will
address (nor should). 

Regards,

Alistair

--
Dr. Alistair Munro,
Chief Systems Engineer, Degree2 Innovations Ltd.
Regus House, 1 Friary, Temple Quay, Bristol, BS1 6EA, U.K.
E-mail: [email-masked]
Tel: (work) +44-117-900-8114, (home) +44-1275-462707, (mobile)
+44-7974-922-442;
Fax: +44-117-900-8151
Web: http://www.u4eagroup.com

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of RJ Atkinson
> Sent: 29 June 2002 14:09
> To: senthil ayyasamy
> Cc: ieprep
> Subject: Re: doubts (was orginally ..Re: [Ieprep] 
> draft-ietf-ieprep-requirements-00.txt)
> 
> 
> 
> On Saturday, June 29, 2002, at 12:38 , senthil ayyasamy wrote:
> > Service providers overbook their access networks.
> 
> Some providers underprovision ("overbook") their access 
> networks. Some providers overprovision their access networks.
> 
> Both situations exist in the deployed Internet.  As noted 
> before, I've personally deployed numerous MANs that were 
> overprovisioned (because it was cheaper to do that than to 
> deploy/operate QoS).
> 
> > Like how you increase the robustness in the core for supporting 
> > emergency traffic (as mentioned by you), you can get 
> service from more 
> > than one service providers at the cost of increasing the AS 
> > connectivity complexity for robustness at the access.Will this be a
> > factor too ???.
> 
> 	I can't speak for folks who might want to purchase 
> IEPREP services, not least because that is a large and very 
> diverse set of folks, particularly since IETF needs to 
> consider the issue globally, not just with a US focus.  I 
> doubt that every country will have the same deployment 
> practices with regards to IEPREP.
> 
> Ran
> [email-masked]
> 
> 
> _______________________________________________
> Ieprep mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ieprep
> 

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep